Bug 300168

Summary: Transparency malfunction when pasting from another application
Product: kolourpaint Reporter: ash <narutoplasma14>
Component: generalAssignee: kolourpaint-support
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Unlisted Binaries   
OS: Linux   
Latest Commit: Version Fixed In: 4.13.1

Description ash 2012-05-16 20:45:30 UTC
When pasting with the transparency (in the toolbox) set to on, the parts of the pasted election with the backround color become completely transparent (checkerboard), instead of the existing canvas showing through

Reproducible: Always

Steps to Reproduce:
Open a new file and draw in it some lines etc

Set background color to white, select the select tool, set transparency to on

Take a screenshot of the open Kolorpaint window with Ksnapshot. select Copy. Keep Ksnapshot open

Paste the screenshot in Kolorpaint
Actual Results:  
The white background of the pasted selection is transparent checkerboard

Expected Results:  
The existing drawing is showing through the white background

Confirmed when pasting from Ksnapshot and Potato Guy

DOES NOT happen when pasting from Krita or when doing Paste from file in Kolorpaint
Comment 1 Martin Koller 2014-05-04 17:02:42 UTC
Git commit e95964438792a82bdd497f5587f0b80303c63eca by Martin Koller.
Committed on 04/05/2014 at 16:57.
Pushed by mkoller into branch 'KDE/4.13'.

convert selection to ARGB32 format so that transparency mask works

according Qt doc, image format must be set to Format_ARGB32Premultiplied
or Format_ARGB32 for the composition modes to have any effect.
This is needed for the transparency mask to work here.
FIXED-IN: 4.13.1

M  +4    -1    layers/selections/image/kpAbstractImageSelection.cpp

http://commits.kde.org/kolourpaint/e95964438792a82bdd497f5587f0b80303c63eca
Comment 2 Martin Koller 2014-05-04 17:02:55 UTC
Git commit 3a0400c56011c8acfabc9e0d1be90abf8eab4196 by Martin Koller.
Committed on 04/05/2014 at 16:57.
Pushed by mkoller into branch 'master'.

convert selection to ARGB32 format so that transparency mask works

according Qt doc, image format must be set to Format_ARGB32Premultiplied
or Format_ARGB32 for the composition modes to have any effect.
This is needed for the transparency mask to work here.
FIXED-IN: 4.13.1

M  +4    -1    layers/selections/image/kpAbstractImageSelection.cpp

http://commits.kde.org/kolourpaint/3a0400c56011c8acfabc9e0d1be90abf8eab4196